Install python package ArcPro 2.3 - utilsolutions

798
3
01-24-2019 03:01 PM
CalebAnderson1
New Contributor III

Has anyone moved to Pro 2.3 yet and tried adding the Utilsolutions package via the python package manager? I was able to clone the environment (which I wasn't able to do in 2.2) but when i click the "Install" button, a status bar looks like it's doing something for about 5 seconds and then nothing, back to where I was with the "Install" button no longer grayed out. No error message. 

0 Kudos
3 Replies
MilkoVelichkov
New Contributor III

I used the method described here: Frequently asked questions—Get Started | ArcGIS Solutions  and it gave's me the following info: 

UnsatisfiableError: The following specifications were found to be in conflict:
- arcgispro 2.3.*
- utilsolutions -> arcgispro 2.2
Use "conda info <package>" to see the dependencies for each package.

so I run "conda info utilsolutions" and the result was:

dependencies:
arcgispro 2.2
pyodbc >=4
python >=3.6,<3.7.0a0

My guess is that utilsolutions package is still not compiled for ArcGIS Pro 2.3

CalebAnderson1
New Contributor III

Thanks Milco, I was worried this was the case and will be more hesitant when updating Pro from now on. I assumed ESRI wouldn't roll out a new version without add-in functionality. It would be nice if there was something that stated which add-ins will lose/maintain functionality or a prompt (other than the conda logs) as to why something didn't install. I'll ask our admin people to download 2.2 again so I can re-install unless you know of another way? 

0 Kudos
MilkoVelichkov
New Contributor III
0 Kudos